{{ define "main" }}

{{if (isset .Params "gallery") (gt (len .Params.gallery) 0)}}
<ls-page vertical center>
    <aside>
	<image-slideshow center>
	    {{ partial "image-gallery" .Params.gallery }}
	</image-slideshow>
    </aside>
</ls-page>
{{ end }}

{{if (isset .Params "galleries") (gt (len .Params.galleries) 0)}}
<section>
    {{ range .Params.galleries }}
    {{ with .description }}
    <ls-page vertical middle>
	<ls-container padding-h width>
	    {{ . }}
	</ls-container>
    </ls-page>
    {{ end }}
    {{if (isset . "gallery") (gt (len .gallery) 0)}}
    <ls-grid columns="{{ (len .gallery) }}">
	{{ range $index, $image := .gallery }}
	<ls-grid-item>
	    {{ partial "image-gallery-item" $image }}
	</ls-grid-item>
	{{ end }}
    </ls-grid>
    {{ end }}	 
    {{ end }}
</section>
{{ end }}

{{ with .Content}}
<ls-page vertical middle>
    <ls-container width="text" padding-h>
	{{ . }}
    </ls-container>
</ls-page>
{{ end }}

{{ end }}
